package de.fitko.fitconnect.api.domain.model.metadata;

import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonPropertyOrder;
import lombok.Builder;
import lombok.Getter;
import lombok.Setter;

import java.util.List;
import java.util.Map;

@JsonInclude(JsonInclude.Include.NON_NULL)
@JsonPropertyOrder({
        "contentStructure",
        "publicServiceType",
        "authenticationInformation",
        "paymentInformation",
        "replyChannel",
        "additionalReferenceInfo"
})
@Getter
@Setter
@Builder
public class Metadata {
    @JsonProperty("contentStructure")
    ContentStructure contentStructure;

    @JsonProperty("publicServiceType")
    PublicServiceType publicServiceType;

    @JsonProperty("authenticationInformation")
    List<AuthenticationInformation> authenticationInformation;

    @JsonProperty("paymentInformation")
    PaymentInformation paymentInformation;

    @JsonProperty("replyChannel")
    ReplyChannel replyChannel;

    @JsonProperty("additionalReferenceInfo")
    AdditionalReferenceInfo additionalReferenceInfo;

    @JsonIgnore
    Map<String, Object> additionalProperties;
}

